jif.lang

## Interface IntegPolicy

- All Superinterfaces:
    Policy
  All Known Implementing Classes:
    JoinIntegPolicy, MeetIntegPolicy, WriterPolicy

      public interface IntegPolicy
      extends Policy

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IntegPolicy` | `join(IntegPolicy p)`
    `IntegPolicy` | `join(IntegPolicy p, boolean simplify)`
    `IntegPolicy` | `join(IntegPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies)` Return the join of this policy and p.
    `IntegPolicy` | `join(IntegPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies, boolean simplify)`
    `IntegPolicy` | `meet(IntegPolicy p)`
    `IntegPolicy` | `meet(IntegPolicy p, boolean simplify)`
    `IntegPolicy` | `meet(IntegPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies)`
    `IntegPolicy` | `meet(IntegPolicy p, java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies, boolean simplify)`

    - ### Methods inherited from interface jif.lang.Policy

      `relabelsTo`

- - ### Method Detail

    - #### join

          IntegPolicy join(IntegPolicy p,
                           java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies)

      Return the join of this policy and p. The set s contains all delegations (i.e., DelegationPairs) that this join result depends upon.

    - #### meet

          IntegPolicy meet(IntegPolicy p,
                           java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies)

    - #### join

          IntegPolicy join(IntegPolicy p)

    - #### meet

          IntegPolicy meet(IntegPolicy p)

    - #### join

          IntegPolicy join(IntegPolicy p,
                           boolean simplify)

    - #### meet

          IntegPolicy meet(IntegPolicy p,
                           boolean simplify)

    - #### join

          IntegPolicy join(IntegPolicy p,
                           java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies,
                           boolean simplify)

    - #### meet

          IntegPolicy meet(IntegPolicy p,
                           java.util.Set<jif.lang.PrincipalUtil.DelegationPair> dependencies,
                           boolean simplify)